[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[xen master] travis: Fix build with newer Qemu



commit fc4e79c3f77f4360064f3614e32557a105458bae
Author:     Andrew Cooper <andrew.cooper3@xxxxxxxxxx>
AuthorDate: Mon Sep 14 14:21:01 2020 +0100
Commit:     Andrew Cooper <andrew.cooper3@xxxxxxxxxx>
CommitDate: Mon Sep 14 16:37:30 2020 +0100

    travis: Fix build with newer Qemu
    
    Qemu requires a bleeding edge version of Python, not found in the current
    travis environment.  Skip building Qemu in that case.
    
    Signed-off-by: Andrew Cooper <andrew.cooper3@xxxxxxxxxx>
    Acked-by: Wei Liu <wl@xxxxxxx>
---
 scripts/travis-build | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/scripts/travis-build b/scripts/travis-build
index 0cb15a89e4..84d74266a0 100755
--- a/scripts/travis-build
+++ b/scripts/travis-build
@@ -16,6 +16,11 @@ cfgargs+=("--disable-rombios")
 cfgargs+=("--enable-docs")
 cfgargs+=("--with-system-seabios=/usr/share/seabios/bios.bin")
 
+# Qemu requires Python 3.5 or later
+if ! type python3 || python3 -c "import sys; res = sys.version_info < (3, 5); 
exit(not(res))"; then
+    cfgargs+=("--with-system-qemu=/bin/false")
+fi
+
 if [[ "${XEN_TARGET_ARCH}" == "x86_64" ]]; then
     cfgargs+=("--enable-tools")
 else
--
generated by git-patchbot for /home/xen/git/xen.git#master



 


Rackspace

Lists.xenproject.org is hosted with RackSpace, monitoring our
servers 24x7x365 and backed by RackSpace's Fanatical Support®.